d-i debian-installer/locale string en_US
d-i keyboard-configuration/xkb-keymap select us

d-i passwd/root-password-again password test
d-i passwd/root-password password test
d-i passwd/user-fullname string test
d-i passwd/username string test
d-i passwd/user-password password test
d-i passwd/user-password-again password test

d-i clock-setup/utc boolean true
d-i time/zone string UTC
d-i clock-setup/ntp boolean true

d-i partman-basicfilesystems/choose_label string gpt
d-i partman-basicfilesystems/default_label string gpt
d-i partman-partitioning/choose_label string gpt
d-i partman-partitioning/default_label string gpt
d-i partman/choose_label string gpt
d-i partman/default_label string gpt
d-i partman-auto/method string regular
d-i partman-basicfilesystems/no_swap boolean false
d-i partman-auto/expert_recipe string \
        scheme ::                     \
        1 1 1 free                    \
                $gptonly{ }           \
                $primary{ }           \
                $bios_boot{ }         \
                method{ biosgrub } .  \
        1500 0 -1 ext4                \
                $gptonly{ }           \
                $primary{ }           \
                method{ format }      \
                format{ }             \
                use_filesystem{ }     \
                filesystem{ ext4 }    \
                mountpoint{ / } .
d-i partman-partitioning/confirm_write_new_label boolean true
d-i partman/choose_partition select finish
d-i partman/confirm boolean true
d-i partman/confirm_nooverwrite boolean true

apt-cdrom-setup apt-setup/cdrom/set-first boolean false

d-i mirror/country string manual
d-i mirror/http/hostname string deb.debian.org
d-i mirror/http/directory string /debian
d-i mirror/http/proxy string
d-i apt-setup/use_mirror boolean true
popularity-contest popularity-contest/participate boolean false

d-i apt-setup/non-free boolean true
d-i apt-setup/contrib boolean true

tasksel tasksel/first multiselect standard
d-i pkgsel/include string curl openssh-server sudo

d-i grub-installer/bootdev string default
d-i debian-installer/add-kernel-opts string apparmor=0

d-i finish-install/reboot_in_progress note

d-i preseed/early_command string                                                                                              \
        sed -i                                                                                                                \
        -e "/in-target/i echo 'd() { /sbin/discover \"\$@\" | grep -v virtualbox; }' > /target/etc/discover-pkginstall.conf"  \
        -e "/in-target/i echo 'discover=d' >> /target/etc/discover-pkginstall.conf"                                           \
        /usr/lib/pre-pkgsel.d/20install-hwpackages


d-i preseed/late_command string                                             \
        echo 'Defaults:test !requiretty' > /target/etc/sudoers.d/test;      \
        echo 'test ALL=(ALL) NOPASSWD: ALL' >> /target/etc/sudoers.d/test;  \
        chmod 440 /target/etc/sudoers.d/test;

